<?php header('Content-type: text/html; charset=utf-8'); ?>
<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'cmsb/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/stgeorge/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  // load record from 'homepage_alert'
  list($homepage_alertRecords, $homepage_alertMetaData) = getRecords(array(
    'tableName'   => 'homepage_alert',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $homepage_alertRecord = @$homepage_alertRecords[0]; // get first record

  // load records from 'homepage_slideshow'
  list($homepage_slideshowRecords, $homepage_slideshowMetaData) = getRecords(array(
    'tableName'   => 'homepage_slideshow',
    'loadUploads' => true,
    'allowSearch' => false,
  ));

  // load record from 'homepage_content'
  list($homepage_contentRecords, $homepage_contentMetaData) = getRecords(array(
    'tableName'   => 'homepage_content',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $homepage_contentRecord = @$homepage_contentRecords[0]; // get first record
  if (!$homepage_contentRecord) { dieWith404("Record not found!"); } // show error message if no record found

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Nigel Gordijk">
    <link rel="icon" type="image/ico" href="images/favicon.png">

    <title><?php echo htmlencode($homepage_contentRecord['title']) ?></title>

    <!-- Custom styles for this template -->
    <link rel="stylesheet" href="stylesheets/2eef9d0d.main.css"/>
        <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=Roboto:100,300,400,400italic,700'>
    <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=Patua+One:100,300,400,400italic,700'>
    <link rel="stylesheet" type="text/css" href="plugins/rs-plugin/fonts/font-awesome/css/font-awesome.min.css">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->

    <!-- Google fonts -->
    <script type="text/javascript">
      WebFontConfig = {
        google: { families: [ 'Arvo:700:latin', 'Open+Sans:400,600,700:latin' ] }
      };
      (function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
          '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
      })();
    </script>

  </head>
<body>
<div class="top  js--fixed-header-offset">
  <div class="container">
    <div class="row">
      <div class="col-xs-12  col-sm-12">
        <div class="top__slogan"></div>
      </div>
    </div>
  </div>
</div>

<?php require_once('_nav.php'); ?>

<div class="banners  push-down-0">
  <div class="container">
    <div class="row">
      <div class="col-xs-12  col-sm-12  col-md-12">
        <div class="banners-box">
          <b class="banners__title"><span style="color:white"><?php echo htmlencode($homepage_alertRecord['title']) ?></span></b>
        </div>
      </div>
    </div>
  </div>
</div>

<div id="carousel-example-generic" class="carousel  slide" data-ride="carousel">
  <!-- Indicators -->
  <ol class="carousel-indicators">
    <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
    <li data-target="#carousel-example-generic" data-slide-to="1"></li>
    <li data-target="#carousel-example-generic" data-slide-to="2"></li>
  </ol>

  <!-- Wrapper for slides -->
  <div class="carousel-inner">
  
  <?php foreach ($homepage_slideshowRecords as $record): ?>
    <div class="item active">
      <?php foreach ($record['image'] as $index => $upload): ?>
	  <img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="<?php echo htmlencode($record['title']) ?>">
	  <?php endforeach ?>
      <div class="carousel-caption">

        <div class="jumbotron__container">
          <h2 class="jumbotron__subtitle"><?php echo htmlencode($record['content']) ?></h2>
          <h1 class="jumbotron__title"><?php echo htmlencode($record['title']) ?></h1>
          <a class="btn  btn-warning" href="<?php echo htmlencode($record['link_address']) ?>">Read more</a>
        </div>

      </div>
    </div>
    <?php endforeach ?>
    
  </div>

  <!-- Controls -->
  <a class="left  carousel-control" href="#carousel-example-generic" data-slide="prev">
    <span class="glyphicon  glyphicon-chevron-left"></span>
  </a>
  <a class="right  carousel-control" href="#carousel-example-generic" data-slide="next">
    <span class="glyphicon  glyphicon-chevron-right"></span>
  </a>
</div>
<div class="banners  push-down-30">
  <div class="container">
    <div class="row">
      <div class="col-xs-12  col-sm-12  col-md-12">
        <div class="banners-box">
          <b class="banners__title"><span style="color:white"><?php echo $homepage_contentRecord['content']; ?></span></b>
        </div>
      </div>
      
    </div>
  </div>
</div>

<div class="container">
  <div class="row">
  <div class="col-xs-12  col-sm-4  push-down-30">
    <div class="banners--medium  banners--medium--info">
      Services
    </div>
<div class="products__single">
<figure class="products__image">
<img src="images/900x600.jpg" width="100%" height="100%">
    </figure></div>
    <span style="color:black">Ut consectetur, magna non accumsan laoreet, enim justo varius tortor, non ornare lacus lacus eu quam. Sed id leo sit amet leo facilisis consequat. Donec eget libero sed ante faucibus dignissim in vehicula sem.</span>
  </div>
  <div class="col-xs-12  col-sm-4  push-down-30">
    <div class="banners--medium  banners--medium--info">
      Ministry & Administration
    </div>
    <div class="products__single">
<figure class="products__image">
<img src="images/900x600.jpg" width="100%" height="100%">
    </figure></div>
    <span style="color:black">Mauris gravida neque vel nibh condimentum tincidunt. Cras interdum lacus eu ipsum lobortis viverra. Integer lorem justo, elementum malesuada pretium vel, egestas a eros. Curabitur consectetur nisl augue.</span>
  </div>
  <div class="col-xs-12  col-sm-4  push-down-30">
    <div class="banners--medium  banners--medium--info">
      In the News
    </div>
    <div class="products__single">
<figure class="products__image">
<img src="images/900x600.jpg" width="100%" height="100%">
    </figure></div>
    <span style="color:black">Sed id leo sit amet leo facilisis consequat. Donec eget libero sed ante faucibus dignissim in vehicula sem. Curabitur consectetur nisl augue. Integer lorem justo, elementum malesuada pretium vel, egestas a eros.</span>
  </div>
</div>
<div class="row">
  <div class="col-xs-12  col-sm-4  push-down-30">
  </div>
  <div class="col-xs-12  col-sm-4  push-down-30">
  </div>
  <div class="col-xs-12  col-sm-4  push-down-30">
  </div>
</div>
</div>

  <?php require_once('_footer.php'); ?>

  <div class="search-mode__overlay"></div>
    
    
    <script type="text/javascript">
      function downloadJSAtOnload() {
        var element = document.createElement("script");
        element.src = "js/main.js";
        document.body.appendChild(element);
      }
      if (window.addEventListener)
        window.addEventListener("load", downloadJSAtOnload, false);
      else if (window.attachEvent)
        window.attachEvent("onload", downloadJSAtOnload);
      else window.onload = downloadJSAtOnload;
    </script>
    
  </body>
</html>